Subject: Re: bug#33050: 27.0.50; [macOS] Problem with process input with process-connection-type nil

From: Thomas Fitzsimmons <[email-masked]>
Date: Sat, 27 Oct 2018 09:42:17 -0400

Eli Zaretskii <[email-masked]> writes:

>> Date: Fri, 26 Oct 2018 20:20:14 +0300
>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked]
>> 
>> > From: Thomas Fitzsimmons <[email-masked]>
>> > Cc: [email-masked],  [email-masked],  [email-masked]
>> > Date: Fri, 26 Oct 2018 11:41:02 -0400
>> > 
>> > That said, it is probably a bad idea to warn or signal an error if all
>> > ptys are busy in the p-c-t t case.  Anyway, I thought I'd mention it;
>> > maybe the documentation update can address this point as well.
>> 
>> Right, thanks for pointing that out.
>
> I've updated the documentation, please see if the new text makes
> sense.

Yes, though I might still read that and choose a pipe for ldapsearch.
How about adding this sentence:

[...] these features.  A Lisp program should prefer a pty when
interacting with a subprocess that prompts the user for information
(e.g., a password) because that feature of the subprocess was probably
developed and tested assuming a pty.  However, for subprocesses used by
Lisp programs [...]

AIUI, this is your main rationale for using a pty for ldapsearch --
though feel free to reword it.

Thanks,
Thomas